
  //数据字典
export default ({request}) => ({
  

//列表
 dataDic(data = {}) {


  return request({
    url: `/basic-enum/getTree`,
    method: 'post',
    data
  })

  },

  //新增
  addDataDic(data = {}) {


    return request({
      url: `basic-enum/save`,
      method: 'post',
      data
    })
  
    },

      //新增
  editDataDic(data = {}) {


    return request({
      url: `basic-enum/update`,
      method: 'post',
      data
    })
  
    }
})
